com.trendmicro.ds.appcontrol.rest.object.drift

## Class Histogram

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.Histogram

-     public class Histogram
      extends java.lang.Object

  A list of buckets, with a number of items associated with each bucket.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Histogram.Bucket`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Histogram()`
    `Histogram(Histogram.Bucket... buckets)`
    `Histogram(java.util.List<Histogram.Bucket> buckets)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Histogram.Bucket... toAdd)`
    `void` | `add(Histogram.Bucket toAdd)`
    `void` | `add(long time, long count)`
    `java.util.List<Histogram.Bucket>` | `getBuckets()` Get the list of histogram buckets.
    `java.lang.Long` | `getTotal()` Number of total drift between provided start and end time .
    `void` | `setBuckets(java.util.List<Histogram.Bucket> buckets)`
    `void` | `setTotal(java.lang.Long total)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Histogram

          public Histogram()

    - #### Histogram

          public Histogram(java.util.List<Histogram.Bucket> buckets)

    - #### Histogram

          public Histogram(Histogram.Bucket... buckets)

  - ### Method Detail

    - #### add

          public void add(Histogram.Bucket toAdd)

    - #### add

          public void add(Histogram.Bucket... toAdd)

    - #### add

          public void add(long time,
                          long count)

    - #### getBuckets

          public java.util.List<Histogram.Bucket> getBuckets()

      Get the list of histogram buckets.
      Returns:
        the list of histogram buckets.

    - #### setBuckets

          public void setBuckets(java.util.List<Histogram.Bucket> buckets)

    - #### getTotal

          public java.lang.Long getTotal()

      Number of total drift between provided start and end time .
      Returns:
        number of total drift between provided start and end time.

    - #### setTotal

          public void setTotal(java.lang.Long total)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.